Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.io.google
Class LoadOdtFromGoogle

    java.lang.Object
      org.jbehave.core.io.LoadFromURL
          org.jbehave.core.io.odf.LoadOdtFromURL
              org.jbehave.core.io.google.LoadOdtFromGoogle

All Implemented Interfaces:
  ResourceLoader, StoryLoader

    public class LoadOdtFromGoogle

extends LoadOdtFromURL

Nested Class Summary
`static class` | `LoadOdtFromGoogle.GoogleAccessFailed`
`static class` | `LoadOdtFromGoogle.GoogleDocumentNotFound`
`static class` | `LoadOdtFromGoogle.GoogleMediaExportFailed`

Constructor Summary
`LoadOdtFromGoogle(String username, String password)`
`LoadOdtFromGoogle(String username, String password, String feedURI)`
`LoadOdtFromGoogle(String username, String password, String feedURI, com.google.gdata.client.docs.DocsService service)`

Method Summary
`protected InputStream` | `resourceAsStream(String title)`

Methods inherited from class org.jbehave.core.io.odf.LoadOdtFromURL
`loadResourceAsText`

Methods inherited from class org.jbehave.core.io.LoadFromURL
`loadStoryAsText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadOdtFromGoogle

    public LoadOdtFromGoogle(String username,
                             String password)

### LoadOdtFromGoogle

    public LoadOdtFromGoogle(String username,
                             String password,
                             String feedURI)

### LoadOdtFromGoogle

    public LoadOdtFromGoogle(String username,
                             String password,
                             String feedURI,
                             com.google.gdata.client.docs.DocsService service)

Method Detail

### resourceAsStream

    protected InputStream resourceAsStream(String title)
                                    throws IOException,
                                           MalformedURLException

  Overrides:
    `resourceAsStream` in class `LoadFromURL`
  Throws:
    `IOException`
    `MalformedURLException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.